%define module curl

Summary:	A Python interface to libcurl
Name:		python-%{module}
Version:	7.19.0
Release:	%mkrel 6
Group:		Development/Python
License:	LGPLv2+
URL:		http://pycurl.sourceforge.net
Source0:	http://pycurl.sourceforge.net/download/pycurl-%{version}.tar.xz
Patch0:         %{name}-no-static-libs.patch
Patch1:         %{name}-fix-do_curl_reset-refcount.patch
Patch2:		pycurl-7.19.0-link.patch
BuildRequires:  python-devel
BuildRequires:  curl-devel >= 7.19.0
BuildRequires:  openssl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	python-pycurl < %{version}-%{release}
Provides:	python-pycurl = %{version}-%{release}

%description
PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

%prep
%setup -qn pycurl-%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p0
chmod a-x examples/*

%build
env CFLAGS="%{optflags} -DHAVE_CURL_OPENSSL" %{__python} setup.py build

%check
%{__python} tests/test_internals.py -q

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root=%{buildroot} --optimize=2
rm -rf %{buildroot}%{_datadir}/doc/pycurl
 

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO examples doc tests
%{python_sitearch}/*


%changelog
* Thu Mar 03 2016 bb <bb> 7.19.0-6pclos2016
- rebuild new openssl

* Fri Aug 10 2013 billybot <billybot> 7.19.0-5pclos2013
- update
